### Method

# Gsk Renderer realize

#### Declaration [src]

    gboolean
    gsk_renderer_realize (
      GskRenderer* renderer,
      GdkSurface* surface,
      GError** error
    )

#### Description [src]

Creates the resources needed by the `renderer` to render the scene graph.

Since GTK 4.6, the surface may be `NULL`, which allows using renderers without having to create a surface. Since GTK 4.14, it is recommended to use `gsk_renderer_realize_for_display()` instead.

Note that it is mandatory to call `gsk_renderer_unrealize()` before destroying the renderer.

#### Parameters

`surface`

  Type: `GdkSurface`

  The `GdkSurface` renderer will be used on.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the renderer was successfully realized.